{
  "openapi": "3.0.0",
  "info": {
    "title": "Open-Banking REST API",
    "description": "## General considerations\n\n### Pagination\n\nAll the APIs that retrieve a set of entities return a paginated result. To handle pagination you can use two parameters:\n\n* `page=n` indicates the page number you want to get\n* `itemsPerPage=m` number of items per page (30 is the default value, 100 is the maximum)\n\nFor example:\n\n`GET /business-registry/a_fiscal_code/transactions?page=2&itemsPerPage=10`\n\nTo get full information about the pagination you can send the HTTP header `application/ld+json`. You will receive an enriched payload that encapsulates the original result adding these keys:\n\n- `hydra:member` - the array with the retrieved items\n- `hydra:totalItems` - total filtered items\n- `hydra:view`\n  - `hydra:first` - URL to the first page\n  - `hydra:last` - URL to the last page\n  - `hydra:next` - URL to the next page\n- `hydra:search` - object containing information about the filters\n\nFor example\n```json\n{\n  \"@context\": \"/contexts/BusinessRegistry\",\n  \"@id\": \"/business-registry\",\n  \"@type\": \"hydra:Collection\",\n  \"hydra:member\": [\n    {\n      \"@type\": \"BusinessRegistry\",\n      \"@id\": \"/business-registry/EFGH\",\n      \"fiscalId\": \"EFGH\",\n      \"email\": \"foo2@bar.com\",\n      \"businessName\": \"Foo two\",\n      \"enabled\": true\n    }\n  ],\n  \"hydra:totalItems\": 3,\n  \"hydra:view\": {\n    \"@id\": \"/business-registry?itemsPerPage=1&page=2\",\n    \"@type\": \"hydra:PartialCollectionView\",\n    \"hydra:first\": \"/business-registry?itemsPerPage=1&page=1\",\n    \"hydra:last\": \"/business-registry?itemsPerPage=1&page=3\",\n    \"hydra:previous\": \"/business-registry?itemsPerPage=1&page=1\",\n    \"hydra:next\": \"/business-registry?itemsPerPage=1&page=3\"\n  }\n}\n```\nSee [Hydra specifications](https://www.hydra-cg.com/spec/latest/core/) for more information.\n\n### Optional values\n\nOur API does not return optional values if they are not present. For example, iban, bban and swift codes are not mandatory for Accounts, \nso the JSON representation for entities that do not have these values will not contain these fields at all:\n```json\n{\n  \"uuid\": \"ad82d5c8-1d05-47eb-8696-3def0bc19243\",\n  \"fiscalId\": \"xxxyyyyzzz\",\n  \"accountId\": \"12345678\",\n  \"providerName\": \"My Bank\",\n  \"name\": \"John Smith\",\n  \"nature\": \"card\",\n  \"balance\": \"100.00\",\n  \"currencyCode\": \"USD\",\n  \"enabled\": true,\n  \"consentExpiresAt\": \"2019-08-24T14:15:22Z\",\n}\n```\n\n### Filtering data\n\n#### Searching for multiple values\n\nSome endpoints have query parameters of the form `someName[]`. That means you can filter data for multiple values of the parameter. \nFor example:    \n```\n/sample_endpoint?sampleParameter[]=SAMPLE_1&sampleParameter[]=SAMPLE_2\n```\n\nIn this example we will get elements having `sampleParameter=SAMPLE_1` or `sampleParameter=SAMPLE_2`.\n\n#### Filtering using dates\n\nSome endpoints can use filters on dates. This kind of filter have this form:\n```\nsomeDate[before]\t\nsomeDate[strictly_before]\nsomeDate[after]\nsomeDate[strictly_after]\n```\n\nHere is an example on how to get data in some range:\n```\n/sample_endpoint?someDate[strictly_after]=2022-01-03T02:03:24Z&someDate[strictly_before]2023-11-22T04:03:15Z\n```\n\n## Using sub-accounts\n\nIf you want to have different sets of email/password so that a particular Business Registry can handle just its data, \nmaybe because you are developing an 'on premise' software, you can use sub-accounts. To do that you can create a new Business Registry,\nthen you can assign it a user (i.e. a sub-account) with a particular password with a POST on the [/business-registry/{fiscalId}/user](@site/docs/api/openbanking/post-business-registry-user.api.mdx) endpoint.\nYou can remove this assignment with a DELETE on the same endpoint. \nConnecting using the Business Registry email and the above password gives access just to data owned by this Business Registry. \nYour main login can still access data from all the Business Registries you created. \nAnother way of creating a sub account that is equivalent to the previous one is via [the authentication API](@site/docs/api/common/post-account-user-collection.api.mdx).\n\n## Using Bank Managers\n\n[Bank Managers entities](@site/docs/api/openbanking/get-bank-manager-collection.api.mdx) represent persons that have access to bank accounts owned by different Business Registries.\nExplicit creation of Bank Managers is not mandatory for using the APIs. In fact, each time a [connection request](@site/docs/api/openbanking/post-connect-request.api.mdx) is made, a default Bank Manager is created (if one does not exist).\nPlease note that in the above API you can optionally specify the [email of a Bank Manager](@site/docs/api/openbanking/post-connect-request.api.mdx) that will connect bank accounts.\nYou can also [link a new Bank Manager the Business Registry](@site/docs/api/openbanking/post-bank-manager-business-registry-item.api.mdx), hereby granting them permission to assign Accounts to it.\n\n---",
    "version": "20250519"
  },
  "servers": [
    {
      "url": "https://ob-sandbox.api.acubeapi.com",
      "description": "A-Cube Open Banking API sandbox environment"
    },
    {
      "url": "https://ob.api.acubeapi.com",
      "description": "A-Cube Open Banking production environment",
      "x-production": "hide"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [],
  "paths": {
    "/accounts/{uuid}": {
      "get": {
        "operationId": "getAccountItem",
        "tags": [
          "Account"
        ],
        "responses": {
          "200": {
            "description": "Account resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Account.AccountOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/Account.AccountOutput.jsonld"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Retrieves an Account",
        "description": "Retrieves an Account - Please note that `extra` fields are optional and can differ between financial institutions.",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "put": {
        "operationId": "putAccountItem",
        "tags": [
          "Account"
        ],
        "responses": {
          "200": {
            "description": "Account resource updated",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Account.AccountOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/Account.AccountOutput.jsonld"
                }
              }
            },
            "links": {}
          },
          "400": {
            "description": "Invalid input"
          },
          "404": {
            "description": "Resource not found"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Enables/Disables an Account",
        "description": "Enables/Disables an Account. Disabling an account also clears its balance, extra data and transactions.",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "requestBody": {
          "description": "The updated Account resource",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Account.AccountInput"
              }
            },
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/Account.AccountInput.jsonld"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "delete": {
        "operationId": "deleteAccountItem",
        "tags": [
          "Account"
        ],
        "responses": {
          "202": {
            "description": "Account resource deleted",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Account.AccountRemoveOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/Account.AccountRemoveOutput.jsonld"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Deletes an Account",
        "description": "The action will delete the requested account and all the other associated to the same bank connection. All the accounts must be deactivated and have no payments linked to them.",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    },
    "/accounts/{uuid}/reconnect": {
      "get": {
        "operationId": "reconnectAccountItem",
        "tags": [
          "Account"
        ],
        "responses": {
          "200": {
            "description": "Account resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Account.ReconnectRequestOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/Account.ReconnectRequestOutput.jsonld"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Starts reconnection process for an Account",
        "description": "This API starts the reconnection process for an account and for all the other accounts coming from the same financial institution. \n                    Reconnection is needed after 90 days days from the first connection to renew consent to read financial data.\n                    During this process the user will be redirected to a page where it will be possible to select reconnection options. \n                    Please note that `extra` fields are optional and can differ between financial institutions.",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    },
    "/bank-managers": {
      "get": {
        "operationId": "getBankManagerCollection",
        "tags": [
          "BankManager"
        ],
        "responses": {
          "200": {
            "description": "BankManager collection",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BankManager.BankManagerOutput"
                  }
                }
              },
              "application/ld+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "hydra:member": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/BankManager.BankManagerOutput.jsonld"
                      }
                    },
                    "hydra:totalItems": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "hydra:view": {
                      "type": "object",
                      "properties": {
                        "@id": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "@type": {
                          "type": "string"
                        },
                        "hydra:first": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:last": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:previous": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:next": {
                          "type": "string",
                          "format": "iri-reference"
                        }
                      },
                      "example": {
                        "@id": "string",
                        "type": "string",
                        "hydra:first": "string",
                        "hydra:last": "string",
                        "hydra:previous": "string",
                        "hydra:next": "string"
                      }
                    },
                    "hydra:search": {
                      "type": "object",
                      "properties": {
                        "@type": {
                          "type": "string"
                        },
                        "hydra:template": {
                          "type": "string"
                        },
                        "hydra:variableRepresentation": {
                          "type": "string"
                        },
                        "hydra:mapping": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "@type": {
                                "type": "string"
                              },
                              "variable": {
                                "type": "string"
                              },
                              "property": {
                                "type": "string",
                                "nullable": true
                              },
                              "required": {
                                "type": "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  "required": [
                    "hydra:member"
                  ]
                }
              }
            }
          }
        },
        "summary": "Retrieves the collection of BankManager resources.",
        "description": "Retrieves the collection of BankManager resources.",
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "description": "The collection page number",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 1
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "itemsPerPage",
            "in": "query",
            "description": "The number of items per page",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 30,
              "minimum": 0,
              "maximum": 100
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "post": {
        "operationId": "postBankManagerItem",
        "tags": [
          "BankManager"
        ],
        "responses": {
          "201": {
            "description": "BankManager resource created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BankManager.BankManagerOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BankManager.BankManagerOutput.jsonld"
                }
              }
            },
            "links": {}
          },
          "400": {
            "description": "Invalid input"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Creates a BankManager resource.",
        "description": "Creates a BankManager resource.",
        "parameters": [],
        "requestBody": {
          "description": "The new BankManager resource",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BankManager.BankManagerCreateInput"
              }
            },
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/BankManager.BankManagerCreateInput.jsonld"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    },
    "/bank-managers/{uuid}": {
      "get": {
        "operationId": "getBankManager",
        "tags": [
          "BankManager"
        ],
        "responses": {
          "200": {
            "description": "BankManager resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BankManager.BankManagerOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BankManager.BankManagerOutput.jsonld"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Retrieves a BankManager resource.",
        "description": "Retrieves a BankManager resource.",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    },
    "/bank-managers/{uuid}/business-registries": {
      "get": {
        "operationId": "getBankManagerBusinessRegistriesCollection",
        "tags": [
          "BankManager"
        ],
        "responses": {
          "200": {
            "description": "BankManager collection",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BankManager.BusinessRegistryOutput"
                  }
                }
              },
              "application/ld+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "hydra:member": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/BankManager.BusinessRegistryOutput.jsonld"
                      }
                    },
                    "hydra:totalItems": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "hydra:view": {
                      "type": "object",
                      "properties": {
                        "@id": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "@type": {
                          "type": "string"
                        },
                        "hydra:first": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:last": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:previous": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:next": {
                          "type": "string",
                          "format": "iri-reference"
                        }
                      },
                      "example": {
                        "@id": "string",
                        "type": "string",
                        "hydra:first": "string",
                        "hydra:last": "string",
                        "hydra:previous": "string",
                        "hydra:next": "string"
                      }
                    },
                    "hydra:search": {
                      "type": "object",
                      "properties": {
                        "@type": {
                          "type": "string"
                        },
                        "hydra:template": {
                          "type": "string"
                        },
                        "hydra:variableRepresentation": {
                          "type": "string"
                        },
                        "hydra:mapping": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "@type": {
                                "type": "string"
                              },
                              "variable": {
                                "type": "string"
                              },
                              "property": {
                                "type": "string",
                                "nullable": true
                              },
                              "required": {
                                "type": "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  "required": [
                    "hydra:member"
                  ]
                }
              }
            }
          }
        },
        "summary": "Lists all the Business Registries linked to the Bank Manager",
        "description": "Lists all the Business Registries linked to the Bank Manager",
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "page",
            "in": "query",
            "description": "The collection page number",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 1
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "itemsPerPage",
            "in": "query",
            "description": "The number of items per page",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 30,
              "minimum": 0,
              "maximum": 100
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    },
    "/business-registry": {
      "get": {
        "operationId": "getBusinessRegistryCollection",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "200": {
            "description": "BusinessRegistry collection",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryOutput"
                  }
                }
              },
              "application/ld+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "hydra:member": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryOutput.jsonld"
                      }
                    },
                    "hydra:totalItems": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "hydra:view": {
                      "type": "object",
                      "properties": {
                        "@id": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "@type": {
                          "type": "string"
                        },
                        "hydra:first": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:last": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:previous": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:next": {
                          "type": "string",
                          "format": "iri-reference"
                        }
                      },
                      "example": {
                        "@id": "string",
                        "type": "string",
                        "hydra:first": "string",
                        "hydra:last": "string",
                        "hydra:previous": "string",
                        "hydra:next": "string"
                      }
                    },
                    "hydra:search": {
                      "type": "object",
                      "properties": {
                        "@type": {
                          "type": "string"
                        },
                        "hydra:template": {
                          "type": "string"
                        },
                        "hydra:variableRepresentation": {
                          "type": "string"
                        },
                        "hydra:mapping": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "@type": {
                                "type": "string"
                              },
                              "variable": {
                                "type": "string"
                              },
                              "property": {
                                "type": "string",
                                "nullable": true
                              },
                              "required": {
                                "type": "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  "required": [
                    "hydra:member"
                  ]
                }
              }
            }
          }
        },
        "summary": "Retrieves the collection of BusinessRegistry resources.",
        "description": "Retrieves the collection of BusinessRegistry resources.",
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "description": "The collection page number",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 1
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "itemsPerPage",
            "in": "query",
            "description": "The number of items per page",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 30,
              "minimum": 0,
              "maximum": 100
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "post": {
        "operationId": "postBusinessRegistryItem",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "201": {
            "description": "BusinessRegistry resource created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryOutput.jsonld"
                }
              }
            },
            "links": {}
          },
          "400": {
            "description": "Invalid input"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Creates a new Business Registry (a fee will be charged)",
        "description": "Creates a new Business Registry (a fee will be charged).\n                Please note that the default value of the `enabled` is `false`. Add an explicit setting to the payload if you prefer to create an enabled entity.",
        "parameters": [],
        "requestBody": {
          "description": "The new BusinessRegistry resource",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryInputCreate"
              }
            },
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryInputCreate.jsonld"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}": {
      "get": {
        "operationId": "getBusinessRegistryItem",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "200": {
            "description": "BusinessRegistry resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryOutput.jsonld"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Retrieves a BusinessRegistry resource.",
        "description": "Retrieves a BusinessRegistry resource.",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "put": {
        "operationId": "putBusinessRegistryItem",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "200": {
            "description": "BusinessRegistry resource updated",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryOutput.jsonld"
                }
              }
            },
            "links": {}
          },
          "400": {
            "description": "Invalid input"
          },
          "404": {
            "description": "Resource not found"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Changes a Business Registry (with the exception of e-mail).",
        "description": "Changes a Business Registry. Please note that it is not possible to replace the e-mail",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "requestBody": {
          "description": "The updated BusinessRegistry resource",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryInputUpdate"
              }
            },
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryInputUpdate.jsonld"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "delete": {
        "operationId": "deleteBusinessRegistryItem",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "204": {
            "description": "BusinessRegistry resource deleted"
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Removes a Business registry",
        "description": "Removal of a business registry involves deletion of data on his accounts and transactions, as well as withdrawal of consent to access the data.",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}/accounts": {
      "get": {
        "operationId": "getAccountCollection",
        "tags": [
          "Account"
        ],
        "responses": {
          "200": {
            "description": "Account collection",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Account.AccountOutput"
                  }
                }
              },
              "application/ld+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "hydra:member": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Account.AccountOutput.jsonld"
                      }
                    },
                    "hydra:totalItems": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "hydra:view": {
                      "type": "object",
                      "properties": {
                        "@id": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "@type": {
                          "type": "string"
                        },
                        "hydra:first": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:last": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:previous": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:next": {
                          "type": "string",
                          "format": "iri-reference"
                        }
                      },
                      "example": {
                        "@id": "string",
                        "type": "string",
                        "hydra:first": "string",
                        "hydra:last": "string",
                        "hydra:previous": "string",
                        "hydra:next": "string"
                      }
                    },
                    "hydra:search": {
                      "type": "object",
                      "properties": {
                        "@type": {
                          "type": "string"
                        },
                        "hydra:template": {
                          "type": "string"
                        },
                        "hydra:variableRepresentation": {
                          "type": "string"
                        },
                        "hydra:mapping": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "@type": {
                                "type": "string"
                              },
                              "variable": {
                                "type": "string"
                              },
                              "property": {
                                "type": "string",
                                "nullable": true
                              },
                              "required": {
                                "type": "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  "required": [
                    "hydra:member"
                  ]
                }
              }
            }
          }
        },
        "summary": "Retrieves the collection of Account resources for a given business registry.",
        "description": "Retrieves the collection of Account resources for a given business registry.\n                    You can optionally filter accounts by a single IBAN or a set of IBANs. \n                    For filtering multiple IBANs use this syntax \n                    \n                    /business-registry/{fiscalId}/accounts?iban[]=SAMPLE_1&iban[]=SAMPLE_2",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "page",
            "in": "query",
            "description": "The collection page number",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 1
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "itemsPerPage",
            "in": "query",
            "description": "The number of items per page",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 30,
              "minimum": 0,
              "maximum": 100
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "enabled",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "boolean"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "iban",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "iban[]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "style": "form",
            "explode": true,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}/bank-managers": {
      "get": {
        "operationId": "getBusinessRegistryBankManagersCollection",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "200": {
            "description": "BusinessRegistry collection",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BusinessRegistry.BankManagerOutput"
                  }
                }
              },
              "application/ld+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "hydra:member": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/BusinessRegistry.BankManagerOutput.jsonld"
                      }
                    },
                    "hydra:totalItems": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "hydra:view": {
                      "type": "object",
                      "properties": {
                        "@id": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "@type": {
                          "type": "string"
                        },
                        "hydra:first": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:last": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:previous": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:next": {
                          "type": "string",
                          "format": "iri-reference"
                        }
                      },
                      "example": {
                        "@id": "string",
                        "type": "string",
                        "hydra:first": "string",
                        "hydra:last": "string",
                        "hydra:previous": "string",
                        "hydra:next": "string"
                      }
                    },
                    "hydra:search": {
                      "type": "object",
                      "properties": {
                        "@type": {
                          "type": "string"
                        },
                        "hydra:template": {
                          "type": "string"
                        },
                        "hydra:variableRepresentation": {
                          "type": "string"
                        },
                        "hydra:mapping": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "@type": {
                                "type": "string"
                              },
                              "variable": {
                                "type": "string"
                              },
                              "property": {
                                "type": "string",
                                "nullable": true
                              },
                              "required": {
                                "type": "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  "required": [
                    "hydra:member"
                  ]
                }
              }
            }
          }
        },
        "summary": "Lists all the Bank Managers linked to the Business Registry",
        "description": "Lists all the Bank Managers linked to the Business Registry, having permissions to assign Accounts to it.",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "page",
            "in": "query",
            "description": "The collection page number",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 1
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "itemsPerPage",
            "in": "query",
            "description": "The number of items per page",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 30,
              "minimum": 0,
              "maximum": 100
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "post": {
        "operationId": "postBankManagerBusinessRegistryItem",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "204": {
            "description": "BusinessRegistry resource created",
            "content": {
              "application/json": {
                "schema": {}
              },
              "application/ld+json": {
                "schema": {}
              }
            },
            "links": {}
          },
          "400": {
            "description": "Invalid input"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Link a new Bank Manager the Business Registry",
        "description": "Link a new Bank Manager the Business Registry, hereby granting them permission to assign Accounts to it.",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "requestBody": {
          "description": "The new BusinessRegistry resource",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryBankManagerInput"
              }
            },
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryBankManagerInput.jsonld"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}/branding": {
      "get": {
        "operationId": "getBusinessRegistryBranding",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "200": {
            "description": "BusinessRegistry resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryBrandingOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryBrandingOutput.jsonld"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Gets branding data for a Business Registry",
        "description": "Gets branding data for a Business Registry",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "BusinessRegistry identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "put": {
        "operationId": "putBusinessRegistryBranding",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "200": {
            "description": "BusinessRegistry resource updated",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryBrandingOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryBrandingOutput.jsonld"
                }
              }
            },
            "links": {}
          },
          "400": {
            "description": "Invalid input"
          },
          "404": {
            "description": "Resource not found"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Updates branding data for a Business Registry",
        "description": "Updates branding data for a Business Registry..",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "BusinessRegistry identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "requestBody": {
          "description": "The updated BusinessRegistry resource",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryBrandingInput"
              }
            },
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryBrandingInput.jsonld"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}/branding/logo": {
      "get": {
        "operationId": "getBusinessRegistryBrandingLogo",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "200": {
            "description": "BusinessRegistry resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.ImageOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.ImageOutput.jsonld"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Gets the URL of the current Business Registry logo",
        "description": "Gets the URL of the current Business Registry logo",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "BusinessRegistry identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "put": {
        "operationId": "putBusinessRegistryBrandingLogo",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "200": {
            "description": "BusinessRegistry resource updated",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.ImageOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.ImageOutput.jsonld"
                }
              }
            },
            "links": {}
          },
          "400": {
            "description": "Invalid input"
          },
          "404": {
            "description": "Resource not found"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Updates the Business Registry logo",
        "description": "Updates the Business Registry logo. Image will be transmitted in the payload as a base64 string",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "BusinessRegistry identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "requestBody": {
          "description": "The updated BusinessRegistry resource",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.ImageInput"
              }
            },
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.ImageInput.jsonld"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}/connect": {
      "post": {
        "operationId": "postConnectRequest",
        "tags": [
          "ConnectRequest"
        ],
        "responses": {
          "201": {
            "description": "ConnectRequest resource created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ConnectRequest.ConnectRequestOutput"
                }
              }
            },
            "links": {}
          },
          "400": {
            "description": "Invalid input"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Starts connection process for a business registry",
        "description": "This API starts the connection process for a business registry. During this process the user will be redirected to a page where it will be possible to choose the bank to connect to.",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "requestBody": {
          "description": "The new ConnectRequest resource",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ConnectRequest.ConnectRequestInput"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}/disable": {
      "post": {
        "operationId": "postBusinessRegistryDisable",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "201": {
            "description": "BusinessRegistry resource created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryOutput.jsonld"
                }
              }
            },
            "links": {}
          },
          "400": {
            "description": "Invalid input"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Disables data reading for a Business Registry (has impact on fees)",
        "description": "Disables data reading for a Business Registry (has impact on fees).",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "requestBody": {
          "description": "The new BusinessRegistry resource",
          "content": {
            "application/json": {
              "schema": {}
            },
            "application/ld+json": {
              "schema": {}
            }
          },
          "required": true
        },
        "deprecated": false,
        "x-internal": true
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}/enable": {
      "post": {
        "operationId": "postBusinessRegistryEnable",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "201": {
            "description": "BusinessRegistry resource created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryOutput.jsonld"
                }
              }
            },
            "links": {}
          },
          "400": {
            "description": "Invalid input"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Enables data reading for a Business Registry (a fee will be charged)",
        "description": "Enables data reading for a Business Registry (a fee will be charged).",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "requestBody": {
          "description": "The new BusinessRegistry resource",
          "content": {
            "application/json": {
              "schema": {}
            },
            "application/ld+json": {
              "schema": {}
            }
          },
          "required": true
        },
        "deprecated": false,
        "x-internal": true
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}/payments": {
      "get": {
        "operationId": "getPaymentCollection",
        "tags": [
          "Payment"
        ],
        "responses": {
          "200": {
            "description": "Payment collection",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Payment.PaymentOutput"
                  }
                }
              },
              "application/ld+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "hydra:member": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Payment.PaymentOutput.jsonld"
                      }
                    },
                    "hydra:totalItems": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "hydra:view": {
                      "type": "object",
                      "properties": {
                        "@id": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "@type": {
                          "type": "string"
                        },
                        "hydra:first": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:last": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:previous": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:next": {
                          "type": "string",
                          "format": "iri-reference"
                        }
                      },
                      "example": {
                        "@id": "string",
                        "type": "string",
                        "hydra:first": "string",
                        "hydra:last": "string",
                        "hydra:previous": "string",
                        "hydra:next": "string"
                      }
                    },
                    "hydra:search": {
                      "type": "object",
                      "properties": {
                        "@type": {
                          "type": "string"
                        },
                        "hydra:template": {
                          "type": "string"
                        },
                        "hydra:variableRepresentation": {
                          "type": "string"
                        },
                        "hydra:mapping": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "@type": {
                                "type": "string"
                              },
                              "variable": {
                                "type": "string"
                              },
                              "property": {
                                "type": "string",
                                "nullable": true
                              },
                              "required": {
                                "type": "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  "required": [
                    "hydra:member"
                  ]
                }
              }
            }
          }
        },
        "summary": "Retrieves the collection of Payment resources for a given business registry.",
        "description": "IMPORTANT NOTE - If the `createdAt` filter is not explicitly set, this API will return only payments made during the current month.\n                Here is an example of the `createdAt` filter. `createdAt[after]=2022-01-20`",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "page",
            "in": "query",
            "description": "The collection page number",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 1
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "itemsPerPage",
            "in": "query",
            "description": "The number of items per page",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 30,
              "minimum": 0,
              "maximum": 100
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "account.uuid",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "account.uuid[]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "style": "form",
            "explode": true,
            "allowReserved": false
          },
          {
            "name": "system",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "system[]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "style": "form",
            "explode": true,
            "allowReserved": false
          },
          {
            "name": "createdAt[before]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "createdAt[strictly_before]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "createdAt[after]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "createdAt[strictly_after]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}/subscription": {
      "get": {
        "operationId": "getBusinessRegistrySubscription",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "200": {
            "description": "BusinessRegistry resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistrySubscriptionOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistrySubscriptionOutput.jsonld"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Displays status of auto-renew for subscriptions",
        "description": "Displays status of auto-renew for subscriptions.",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "BusinessRegistry identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "put": {
        "operationId": "putBusinessRegistrySubscription",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "200": {
            "description": "BusinessRegistry resource updated",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistrySubscriptionOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistrySubscriptionOutput.jsonld"
                }
              }
            },
            "links": {}
          },
          "400": {
            "description": "Invalid input"
          },
          "404": {
            "description": "Resource not found"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Enables or disables auto-renew of subscriptions",
        "description": "Enables or disables auto-renew of subscriptions. This feature cannot be performed by sub-accounts.",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "BusinessRegistry identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "requestBody": {
          "description": "The updated BusinessRegistry resource",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistrySubscriptionInput"
              }
            },
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistrySubscriptionInput.jsonld"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}/transactions": {
      "get": {
        "operationId": "getTransactionCollection",
        "tags": [
          "Transaction"
        ],
        "responses": {
          "200": {
            "description": "Transaction collection",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Transaction.TransactionOutput"
                  }
                }
              },
              "application/ld+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "hydra:member": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Transaction.TransactionOutput.jsonld"
                      }
                    },
                    "hydra:totalItems": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "hydra:view": {
                      "type": "object",
                      "properties": {
                        "@id": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "@type": {
                          "type": "string"
                        },
                        "hydra:first": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:last": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:previous": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:next": {
                          "type": "string",
                          "format": "iri-reference"
                        }
                      },
                      "example": {
                        "@id": "string",
                        "type": "string",
                        "hydra:first": "string",
                        "hydra:last": "string",
                        "hydra:previous": "string",
                        "hydra:next": "string"
                      }
                    },
                    "hydra:search": {
                      "type": "object",
                      "properties": {
                        "@type": {
                          "type": "string"
                        },
                        "hydra:template": {
                          "type": "string"
                        },
                        "hydra:variableRepresentation": {
                          "type": "string"
                        },
                        "hydra:mapping": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "@type": {
                                "type": "string"
                              },
                              "variable": {
                                "type": "string"
                              },
                              "property": {
                                "type": "string",
                                "nullable": true
                              },
                              "required": {
                                "type": "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  "required": [
                    "hydra:member"
                  ]
                }
              }
            }
          }
        },
        "summary": "Gets a list of transaction. Note that `pending` transactions should be deleted at each call, since they attributes (included the ID) may vary.",
        "description": "Please note that `extra` fields are optional and can differ between financial institutions.\n                IMPORTANT NOTE - If the `madeOn` or the `updatedAt` filters are not explicitly set, \n                this API will return only transactions made during the current month, i.e. an automatic filter on `madeOn` will be applied .\n                Here is an example of the `madeOn` filter: `madeOn[after]=2022-01-20`. \n                And this is an example of the `updatedAt` filter: `updatedAt[strictly_after]=2022-01-30T02:03:24Z`",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "page",
            "in": "query",
            "description": "The collection page number",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 1
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "itemsPerPage",
            "in": "query",
            "description": "The number of items per page",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 30,
              "minimum": 0,
              "maximum": 100
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "account.uuid",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "account.uuid[]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "style": "form",
            "explode": true,
            "allowReserved": false
          },
          {
            "name": "duplicated",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "boolean"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "status",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "status[]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "style": "form",
            "explode": true,
            "allowReserved": false
          },
          {
            "name": "category",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "category[]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "style": "form",
            "explode": true,
            "allowReserved": false
          },
          {
            "name": "madeOn[before]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "madeOn[strictly_before]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "madeOn[after]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "madeOn[strictly_after]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "updatedAt[before]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "updatedAt[strictly_before]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "updatedAt[after]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "updatedAt[strictly_after]",
            "in": "query",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "string"
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}/transactions/{transactionId}": {
      "get": {
        "operationId": "getTransactionItem",
        "tags": [
          "Transaction"
        ],
        "responses": {
          "200": {
            "description": "Transaction resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Transaction.TransactionOutput"
                }
              },
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/Transaction.TransactionOutput.jsonld"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Retrieves a Transaction",
        "description": "Retrieves a Transaction - Please note that `extra` fields are optional and can differ between financial institutions.",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "transactionId",
            "in": "path",
            "description": "",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    },
    "/business-registry/{fiscalId}/user": {
      "post": {
        "operationId": "postBusinessRegistryUser",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "204": {
            "description": "BusinessRegistry resource created",
            "content": {
              "application/json": {
                "schema": {}
              },
              "application/ld+json": {
                "schema": {}
              }
            },
            "links": {}
          },
          "400": {
            "description": "Invalid input"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Creates a new user sub account for the business registry",
        "description": "Creates a new user sub account for the business registry. \n                See also [the authentication documentation](@site/docs/api/common/post-account-user-collection.api.mdx)",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "BusinessRegistry identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "requestBody": {
          "description": "The new BusinessRegistry resource",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryUserInput"
              }
            },
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessRegistry.BusinessRegistryUserInput.jsonld"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "delete": {
        "operationId": "deleteBusinessRegistryUser",
        "tags": [
          "BusinessRegistry"
        ],
        "responses": {
          "204": {
            "description": "BusinessRegistry resource deleted"
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Removes the user sub account assignment for the business registry",
        "description": "Removes the user sub account assignment for the business registry",
        "parameters": [
          {
            "name": "fiscalId",
            "in": "path",
            "description": "BusinessRegistry identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    },
    "/categories": {
      "get": {
        "operationId": "getCategoryCollection",
        "tags": [
          "Category"
        ],
        "responses": {
          "200": {
            "description": "Category collection",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Category.CategoryOutput"
                  }
                }
              },
              "application/ld+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "hydra:member": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Category.CategoryOutput.jsonld"
                      }
                    },
                    "hydra:totalItems": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "hydra:view": {
                      "type": "object",
                      "properties": {
                        "@id": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "@type": {
                          "type": "string"
                        },
                        "hydra:first": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:last": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:previous": {
                          "type": "string",
                          "format": "iri-reference"
                        },
                        "hydra:next": {
                          "type": "string",
                          "format": "iri-reference"
                        }
                      },
                      "example": {
                        "@id": "string",
                        "type": "string",
                        "hydra:first": "string",
                        "hydra:last": "string",
                        "hydra:previous": "string",
                        "hydra:next": "string"
                      }
                    },
                    "hydra:search": {
                      "type": "object",
                      "properties": {
                        "@type": {
                          "type": "string"
                        },
                        "hydra:template": {
                          "type": "string"
                        },
                        "hydra:variableRepresentation": {
                          "type": "string"
                        },
                        "hydra:mapping": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "@type": {
                                "type": "string"
                              },
                              "variable": {
                                "type": "string"
                              },
                              "property": {
                                "type": "string",
                                "nullable": true
                              },
                              "required": {
                                "type": "boolean"
                              }
                            }
                          }
                        }
                      }
                    }
                  },
                  "required": [
                    "hydra:member"
                  ]
                }
              }
            }
          }
        },
        "summary": "Retrieves the list of transaction categories",
        "description": "Retrieves the list of transaction categories",
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "description": "The collection page number",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 1
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "itemsPerPage",
            "in": "query",
            "description": "The number of items per page",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": true,
            "schema": {
              "type": "integer",
              "default": 30,
              "minimum": 0,
              "maximum": 100
            },
            "style": "form",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    },
    "/merchants": {
      "get": {
        "operationId": "getMerchantCollection",
        "tags": [
          "Merchant"
        ],
        "responses": {
          "200": {
[...]
